#ifndef DOTPICTURE_HPP
#define DOTPICTURE_HPP

#include <algorithm> // for std::for_each
#include <cassert> // for assert
#include <iostream> // for std::cout,std::cerr
#include <string> // for std::string

class DotPicture : public std::vector<std::string> {
    private:
        const std::string attribute_name;
        std::string dot_string;
    public:
        /** default constructor */
        DotPicture(const std::string& _name) : attribute_name(_name) { }
        /** Access to the name of encoded attribute
         * \return attribute_name */
        const std::string GetAttributeName() const { return attribute_name; }
        std::string ClearDotString() { dot_string.clear(); return dot_string; }
        std::string AppendString(const std::string &substring) { dot_string.append(substring); return dot_string; }
        std::string ShowDotString() const { return dot_string; }
};

#endif // DOTPICTURE_HPP
